Post by IconDigitalUSA » Tue Feb 17, 2015 4:04 am

Hello,

We just updated our shop site from 2.0.0 to 2.0.1.1, and I'm getting a SQL error from the database. It appears to be looking for the table 'oc_modules' which didn't exist in the previous version at all.

Code: Select all

Error: Table 'oc_data.oc_module' doesn't exist
Error No: 1146
SELECT * FROM oc_module WHERE module_id = '0' in /var/www/usa/shop/system/library/db/mysqli.php on line 40
Notice: Trying to get property of non-object in /var/www/usa/shop/catalog/model/extension/module.php on line 6
Is there anywhere I can see exactly what was changed in the way of the database so I can manually update what is needed here? On top of this, the changelog seems to stop at 2.0.1.0.

From other threads people who had upgraded were saying the database hadn't changed at all and it was safe to install over, but that's proving to not be true.

Thank you,

Rob (IDUSA)


Posts

Joined
Thu Dec 11, 2014 6:55 am
Location - Middleton, WI

Post by IconDigitalUSA » Tue Feb 17, 2015 4:31 am

Eh, I think I'm all set, though it's a pretty inconvenient process.

I have taken the database update code from this extension: http://www.opencart.com/index.php?route ... n_id=19572 and I'm manually running the queries I need to get things back up to working condition.

I got rid of the errors for the module table, but I now have nothing between my header and footer on the main page so I have to locate and fix that snafu. I have my fingers crossed that this is all we will need, and that there are no other serious undocumented updates I have to worry about breaking my cart system.

Thanks,

Rob (IDUSA)


Posts

Joined
Thu Dec 11, 2014 6:55 am
Location - Middleton, WI

Post by IconDigitalUSA » Tue Feb 17, 2015 5:47 am

TONS more problems. Errors everywhere, the weird new behavior of the modules where it adds new versions with a name screws everything up - it continues to try and pull height/width from the original 'Banners' item when it always creates 'Banners > Banners' whenever I try to actually set up the module.

This "upgrade" is garbage. I'm reverting to my backup of 2.0.0 until something actually functional appears. To anyone considering upgrading from an earlier 2.0 version to 2.0.1.1 - SAVE YOURSELF. Don't do it. There's no simple upgrade path without completely recreating your theme and settings. Fail - even WordPress has a simple update script.

Cheers,

Rob (IDUSA)


Posts

Joined
Thu Dec 11, 2014 6:55 am
Location - Middleton, WI

Post by pm-netti » Tue Feb 17, 2015 6:31 pm

IconDigitalUSA wrote:TONS more problems. Errors everywhere, the weird new behavior of the modules where it adds new versions with a name screws everything up - it continues to try and pull height/width from the original 'Banners' item when it always creates 'Banners > Banners' whenever I try to actually set up the module.

This "upgrade" is garbage. I'm reverting to my backup of 2.0.0 until something actually functional appears. To anyone considering upgrading from an earlier 2.0 version to 2.0.1.1 - SAVE YOURSELF. Don't do it. There's no simple upgrade path without completely recreating your theme and settings. Fail - even WordPress has a simple update script.

Cheers,

Rob (IDUSA)
And the manner in which this Garbage Upgrade is to blame at that?

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by IconDigitalUSA » Wed Feb 18, 2015 5:21 am

pm-netti wrote:And the manner in which this Garbage Upgrade is to blame at that?
It basically un-did all the bug fixes I had manually added previously, while not fixing the remaining bugs I hoped it would - despite supposedly being a bug-fix release. It also added overcomplicated steps to the way the modules instantiate but didn't update the way the templates and layouts call on them to match. There were also a lot of database changes that, for my use, just caused problems when upgrading. If there were actual release notes or a changelog instead of a blank line, maybe I could work it out from that.

Reverting to 2.0.0 and adding back in my previous custom bug hacks has removed all errors for now, and I'm just going to have to go through and fix the few remaining bugs which I hoped this update would address on my own. Not terribly efficient, but it's a lot less work than blindly trying to use this 'update'.

Cheers,

Rob (IDUSA)


Posts

Joined
Thu Dec 11, 2014 6:55 am
Location - Middleton, WI

Post by pm-netti » Wed Feb 18, 2015 6:57 pm

IconDigitalUSA wrote:
pm-netti wrote:And the manner in which this Garbage Upgrade is to blame at that?
It basically un-did all the bug fixes I had manually added previously, while not fixing the remaining bugs I hoped it would - despite supposedly being a bug-fix release. It also added overcomplicated steps to the way the modules instantiate but didn't update the way the templates and layouts call on them to match. There were also a lot of database changes that, for my use, just caused problems when upgrading. If there were actual release notes or a changelog instead of a blank line, maybe I could work it out from that.

Reverting to 2.0.0 and adding back in my previous custom bug hacks has removed all errors for now, and I'm just going to have to go through and fix the few remaining bugs which I hoped this update would address on my own. Not terribly efficient, but it's a lot less work than blindly trying to use this 'update'.

Cheers,

Rob (IDUSA)
The only "fix" that this makes to table "modules" (e.g. banner and slideshow module), is that it will transfer them to the database table "module" and remove them from the table "setting". Upgrade does not change the configuration for the modules, e.g. as the width and height.

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by IconDigitalUSA » Thu Feb 19, 2015 1:35 am

pm-netti wrote:Upgrade does not change the configuration for the modules, e.g. as the width and height.
That wasn't the issue. The issue was that it now creates a second entry under 'Modules' somehow which is a subset of whatever module you choose. For example if I set up the Banner module and name it 'MainBanner', I then have Banner > MainBanner as the module to setup. When I actually add the module to a layout, it instead tries to load the main 'Banner' module instead of Banner > MainBanner(even though that is the item I select for the layout), and because it will no longer store any settings for the main Banner module(forces me to enter a name and creates a submodule), it comes up with a bunch of 'Undefined' errors for things that are rightfully not found or not set.

On top of that, even when I completely overrode the template and controller files for the Slideshow plugin with custom code and markup(which all works perfectly on 2.0.0), it would still render in a horribly broken way, and would even double-load the template somehow so that it always rendered two slideshows, or two featured lists, or two latest lists, etc.

There's something very wrong with that update, though for all I know completely removing and reinstalling the cart(Not an option for me or most users with large catalogs) might get it working right.

For the time being, I'm just sticking with 2.0.0, as I've already fixed or worked around most of the errors I've encountered on my own.

Cheers,

Rob (IDUSA)


Posts

Joined
Thu Dec 11, 2014 6:55 am
Location - Middleton, WI

Post by pm-netti » Thu Feb 19, 2015 3:19 am

IconDigitalUSA wrote:
pm-netti wrote:Upgrade does not change the configuration for the modules, e.g. as the width and height.
That wasn't the issue. The issue was that it now creates a second entry under 'Modules' somehow which is a subset of whatever module you choose. For example if I set up the Banner module and name it 'MainBanner', I then have Banner > MainBanner as the module to setup. When I actually add the module to a layout, it instead tries to load the main 'Banner' module instead of Banner > MainBanner(even though that is the item I select for the layout), and because it will no longer store any settings for the main Banner module(forces me to enter a name and creates a submodule), it comes up with a bunch of 'Undefined' errors for things that are rightfully not found or not set.

On top of that, even when I completely overrode the template and controller files for the Slideshow plugin with custom code and markup(which all works perfectly on 2.0.0), it would still render in a horribly broken way, and would even double-load the template somehow so that it always rendered two slideshows, or two featured lists, or two latest lists, etc.

There's something very wrong with that update, though for all I know completely removing and reinstalling the cart(Not an option for me or most users with large catalogs) might get it working right.

For the time being, I'm just sticking with 2.0.0, as I've already fixed or worked around most of the errors I've encountered on my own.

Cheers,

Rob (IDUSA)
Ok. I yet see that code, if it can Fix.

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland
Who is online

Users browsing this forum: No registered users and 5 guests